We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
cURL
curl --request PUT \ --url https://api.kinsta.com/v2/sites/environments/{env_id}/plugins \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "akismet", "update_version": "5.3" } '
{ "message": "Updating WordPress plugin in progress", "status": 202, "operation_id": "wp-plugin:update-54fb80af-576c-4fdc-ba4f-b596c83f15a1" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
"akismet"
"5.3"
Updating of plugin started. Check MyKinsta for status
"Updating WordPress plugin in progress"
202
"wp-plugin:update-54fb80af-576c-4fdc-ba4f-b596c83f15a1"